MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
FilterObserver Class Reference

A helper class which observes calls to a PreparedFilter and allows the caller to access the Filter instances created by it. More...

`#include <Observer.hxx>`

## Public Member Functions
PreparedFilter * | Set (PreparedFilter *pf)
Filter * | Get ()

## Detailed Description

A helper class which observes calls to a PreparedFilter and allows the caller to access the Filter instances created by it.

Definition at line 32 of file Observer.hxx.

## Member Function Documentation

Filter* FilterObserver::Get | ( |  | ) |

PreparedFilter* FilterObserver::Set | ( | PreparedFilter * | pf | ) |

Returns
  a proxy object

The documentation for this class was generated from the following file:

- filter/Observer.hxx